#include <Sensor inductivo PNP.h>

#FUSES NOMCLR

#use i2c(Master,Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream) //Parametros I2C

#define SH1106_128_64 // DEFINE EL MODELO DE LA PANTALLA OLED

#include "OLED_I2C.c" // Libreria OLED

#define sensor input(pin_d0) // Pin de entrada de seal

void main()
{
   OLED_Begin();  // Inicializa la pantalla
   OLED_ClearDisplay(); // Limpia la pantalla
 
   char texto[10]; 
   int16 cont=0;
   
   sprintf(texto,"N=%04lu",cont); // Cadena de caracteres 
   OLED_DrawText(1,1,texto,2); // Define la posicin inicial
   OLED_Display(); // Muestra la cadena
   
   while(TRUE)
   {
      while(sensor) // Entra por flanco de subida del sensor
      {
         delay_us(100);
         if(!sensor) // Entra por flanco de bajada del sensor 
         {
            cont++; // Incrementa el contador
            
            sprintf(texto,"N=%04lu",cont); //Cadena de caracteres 
            OLED_DrawText(1,1,texto,2); // Define la posicin inicial
            OLED_Display(); // Muestra la cadena
         }  
      }
    
   }
}
